Run of lintian-fixes for python-mysqldb

Try this locally (using the lintian-brush package):

debcheckout python-mysqldb
cd python-mysqldb
lintian-brush
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
Processing: python-mysqldb
Total 0 (delta 0), reused 0 (delta 0)
debian/1.2.2-7_bpo40+1 does not point to a valid object
svn/backups/1.2.2_b1@1470 does not point to a valid object
Building debian packages, running 'sbuild -A -v -d$DISTRIBUTION -c unstable-amd64-sbuild --no-clean-source'.
/usr/lib/python3/dist-packages/debian/deb822.py:1408: UserWarning: cannot parse package relationship "", returning it raw
  ' relationship "%s", returning it raw' % raw)
No packages found that contain '/usr/lib/pypy/dist-packages/mysqldb.py'
No packages found that contain '/usr/lib/python2.*/dist-packages/mysqldb.py'
No packages found that contain '/usr/lib/python3.*/dist-packages/mysqldb.py'
Elapsed time: 0:01:56.136637
Traceback (most recent call last):
  File "/home/janitor/debian-janitor/janitor/build.py", line 90, in build
    env=env)
  File "/usr/lib/python3.7/subprocess.py", line 347, in check_call
    raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['brz', 'builddeb', '--builder=sbuild -A -v -d$DISTRIBUTION -c unstable-amd64-sbuild --no-clean-source', '--result-dir=/home/janitor/tmp/tmpaddq7cny']' returned non-zero exit status 3.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/janitor/debian-janitor/janitor/build.py", line 104, in attempt_build
    result_dir=output_directory, distribution=build_suite)
  File "/home/janitor/debian-janitor/janitor/build.py", line 92, in build
    raise BuildFailedError()
breezy.plugins.debian.builder.BuildFailedError: The build failed.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/janitor/debian-janitor/janitor/fix_build.py", line 290, in build_incrementally
    build_command, build_changelog_entry)
  File "/home/janitor/debian-janitor/janitor/build.py", line 106, in attempt_build
    raise worker_failure_from_sbuild_log(build_log_path)
janitor.sbuild_log.SbuildFailure: ('autopkgtest', 'Missing python 3 module: mysqldb')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.7/runpy.py", line 193, in _run_module_as_main
    "__main__", mod_spec)
  File "/usr/lib/python3.7/runpy.py", line 85, in _run_code
    exec(code, run_globals)
  File "/home/janitor/debian-janitor/janitor/worker.py", line 516, in <module>
    sys.exit(main())
  File "/home/janitor/debian-janitor/janitor/worker.py", line 483, in main
    tgz_repo=args.tgz_repo)
  File "/home/janitor/debian-janitor/janitor/worker.py", line 391, in process_package
    build_command, committer=env.get('COMMITTER'))
  File "/home/janitor/debian-janitor/janitor/fix_build.py", line 302, in build_incrementally
    if not resolve_error(local_tree, e.error, committer=committer):
  File "/home/janitor/debian-janitor/janitor/fix_build.py", line 276, in resolve_error
    return fixer(tree, error, committer)
  File "/home/janitor/debian-janitor/janitor/fix_build.py", line 210, in fix_missing_python_module
    tree, dep_pkg, error.minimum_version, committer=committer):
  File "/home/janitor/debian-janitor/janitor/fix_build.py", line 85, in add_build_dependency
    path=os.path.join(tree.basedir, 'debian/control'))
  File "/home/janitor/debian-janitor/lintian-brush/lintian_brush/control.py", line 73, in update_control
    update_control_file(BytesIO(original_contents), outf, **kwargs)
  File "/home/janitor/debian-janitor/lintian-brush/lintian_brush/control.py", line 99, in update_control_file
    source_package_cb(paragraph)
  File "/home/janitor/debian-janitor/janitor/fix_build.py", line 76, in add_build_dep
    control["Build-Depends"], package)
  File "/home/janitor/debian-janitor/lintian-brush/lintian_brush/control.py", line 324, in ensure_some_version
    _add_dependency(relations, PkgRelation.parse(package))
  File "/home/janitor/debian-janitor/lintian-brush/lintian_brush/_deb822.py", line 125, in parse
    or_deps = cls.__pipe_sep_RE.split(text)
TypeError: expected string or bytes-like object

Full worker log Full build log